# Uses of Interface
net.shibboleth.idp.saml.xmlobject.KeyAuthority

Packages that use KeyAuthority
Package
Description
net.shibboleth.idp.saml.security
Classes related to SAML security extensions.
net.shibboleth.idp.saml.security.impl
Implementation classes for SAML-specific security functionality.
net.shibboleth.idp.saml.xmlobject.impl
Implementations of the SAML XMLObject extensions.

## Uses of KeyAuthority in net.shibboleth.idp.saml.security

Methods in net.shibboleth.idp.saml.security with parameters of type KeyAuthority
Modifier and Type
Method
Description
`static PKIXValidationInformation`
KeyAuthoritySupport.`extractPKIXValidationInfo(KeyAuthority keyAuthority)`
Extracts PKIX validation information from the Shibboleth KeyAuthority metadata extension element.

## Uses of KeyAuthority in net.shibboleth.idp.saml.security.impl

Methods in net.shibboleth.idp.saml.security.impl with parameters of type KeyAuthority
Modifier and Type
Method
Description
`protected void`
MetadataPKIXValidationInformationResolver.`extractPKIXInfo(Collection<PKIXValidationInformation> accumulator, KeyAuthority keyAuthority)`
Retrieves validation information from the Shibboleth KeyAuthority resolver extension element.

## Uses of KeyAuthority in net.shibboleth.idp.saml.xmlobject.impl

Classes in net.shibboleth.idp.saml.xmlobject.impl that implement KeyAuthority
Modifier and Type
Class
Description
`class`
`KeyAuthorityImpl`
Implementation of `KeyAuthority`.
Methods in net.shibboleth.idp.saml.xmlobject.impl that return KeyAuthority
Modifier and Type
Method
Description
`KeyAuthority`
KeyAuthorityBuilder.`buildObject()`
Build a KeyAuthority element with the default namespace prefix and element name.
`KeyAuthority`
KeyAuthorityBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`